using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Xml;

using EQNetwork.Utility;
using EQNetwork.Aspects;

namespace EQNetwork.Objects
{
    public class RequestContext : PropertyChangeTracker
    {

        [TrackPropertyChanged()]
        public int? UserId { get; set; }

        [TrackPropertyChanged()]
        public string Domain { get; set; }

        [TrackPropertyChanged()]
        public int? CollectionId { get; set; }
        
        [TrackPropertyChanged()]
        public Guid? CollectionGuid { get; set; }

        [TrackPropertyChanged()]
        public Guid? CollectionRequestGuid { get; set; }

        [TrackPropertyChanged()]
        public Db.User_CollectionType? User_CollectionType { get; set; }

        [TrackPropertyChanged()]
        public bool? User_UserFollowing { get; set; }

        [TrackPropertyChanged()]
        public string Message { get; set; }
    }
}
